Overview | Package | Class | Tree | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## de.grogra.graph
Class SpecialEdgeDescriptor

    java.lang.Object
      de.grogra.graph.SpecialEdgeDescriptor

All Implemented Interfaces:
  Described

    public class SpecialEdgeDescriptor

extends java.lang.Object
implements Described

Field Summary

Fields inherited from interface de.grogra.util.Described
`ACCELERATOR_KEY, ICON, MNEMONIC_KEY, NAME, SHORT_DESCRIPTION, TITLE`

Constructor Summary
`SpecialEdgeDescriptor(I18NBundle bundle, java.lang.String key, int bits, java.lang.Class nodeClass)`

Method Summary
`int` | `getBits()`
`java.lang.Object` | `getDescription(java.lang.String type)` Returns the description associated with the given `type`.
`java.lang.String` | `getKey()`
`java.lang.Class` | `getNodeClass()`
`boolean` | `isDeclaredBySource()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### SpecialEdgeDescriptor

    public SpecialEdgeDescriptor(I18NBundle bundle,
                                 java.lang.String key,
                                 int bits,
                                 java.lang.Class nodeClass)

Method Detail

### getBits

    public int getBits()

### getDescription

    public java.lang.Object getDescription(java.lang.String type)

  Description copied from interface: `Described`
  Returns the description associated with the given `type`. `type` has to be one of the predefined constants of this interface, the returned value has to conform to the specification of the used constant.

  Specified by:
    `getDescription` in interface `Described`
  Parameters:
    `type` - the type of description
  Returns:
    the description, or `null` if no description is available

### getKey

    public java.lang.String getKey()

### getNodeClass

    public java.lang.Class getNodeClass()

### isDeclaredBySource

    public boolean isDeclaredBySource()

Overview | Package | Class | Tree | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD